﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Steema.TeeChart.Styles;
using Steema.TeeChart.Tools;
using System.Collections;

namespace TeeChartBug2
{
    public partial class _Default : System.Web.UI.Page
    {
        // You need save previous image as generated so save the state. 
        System.IO.MemoryStream tmpChart;
        protected void Page_Load(object sender, EventArgs e)
        {
            Steema.TeeChart.Chart ch1 = WebChart1.Chart;
            tmpChart = new System.IO.MemoryStream();
            if (Session["ch1"] == null)
             {
            ZoomTool zt = new ZoomTool();
            WebChart1.Chart.Tools.Add(zt);
            Line ll = new Line();
            WebChart1.Chart.Series.Add(ll);
            ll.FillSampleValues();
            ch1.Export.Template.Save(tmpChart);
            //save template to a Session variable
            Session.Add("ch1", tmpChart);
            }
             else
             {
            //retrieve the session stored Chart
            tmpChart = (System.IO.MemoryStream)Session["ch1"];
            //set the Stream position to 0 as the last read/write
            //will have moved the position to the end of the stream
            tmpChart.Position = 0;
            //import saved Chart
            WebChart1.Chart.Import.Template.Load(tmpChart);
            checkZoom(WebChart1);
           }
        }

        //checkzoom need the WebChart to update
        private void checkZoom(Steema.TeeChart.Web.WebChart wChart)
        {
            ArrayList zoomedState = (ArrayList)Session[wChart.ID + "Zoomed"];

            zoomedState = ((Steema.TeeChart.Tools.ZoomTool)wChart.Chart.Tools[0]).SetCurrentZoom(Request,
                zoomedState);
            if (zoomedState == null)
                Session.Remove(wChart.ID + "Zoomed");
            else
                Session.Add(wChart.ID + "Zoomed", zoomedState);
        }

       
       
    }
}
